@ -4,6 +4,10 @@ FILES=*/*/*.cpp
for f in $FILES
do
gcc "$f" -lstdc++ -lm -o /dev/null
status=$?
status=$?;
[ $status -eq 0 ] && echo "$f was compiled successfully" || echo "Compilation of $f failed"
if [ $status -eq 1 ]; then
echo "Compilation of $f failed";
exit 1;
fi
echo "$f was compiled successfully";
done